Subject: [bug#51770] progress report on updating the Hurd packages

From: Joshua Branson <[email-masked]>
Date: Fri, 24 Feb 2023 07:57:38 -0500

zamfofex <[email-masked]> writes:

> Hello, everyone! I just wanted to be able to report my progress with updating the Hurd packages.
>
> I have been able to get past my previous issues with building GMP, I think, but
> it seems that the glibc in Guix is still too outdated for the whole endeavor to
> succeed.
>
> I could either update the glibc package again or simply apply a patch to it
> (since the change needed seems to be small enough), but that would take quite a
> while waiting for things to build, and I’m not sure I’m up for it at the moment.
>
> I plan to pick this effort back up again at some point, but at the moment I’m a
> bit tired of having to wait for packages to build for multiple days. But if
> anyone wants to pick up where I left off, I will upload a ‘git diff’ with my
> current changes. (Applicable to ‘core-updates’.)
>
> Here is some more insight based on my conversations on #hurd:
>
> - https://logs.guix.gnu.org/hurd/2023-02-20.log
> - https://logs.guix.gnu.org/hurd/2023-02-21.log
>
> If anyone wants to take this work meanwhile, please do let me know somehow so that we don’t end up duplicating effort!
>
> Thanks for everyone’s amazing work on the Hurd and on Guix!

Here is an email that was send in the bug-hurd archives recently that
talked about how to build the Hurd on GNU/Linux.  Hopefully this will
help others to update our Hurd packages:

https://lists.gnu.org/archive/html/bug-hurd/2023-01/msg00132.html

Here are some scripts that automate this process:

https://github.com/flavioc/cross-hurd

The hurd was a wiki page for this as well (probably outdated):

https://darnassus.sceen.net/~hurd-web/toolchain/cross-gnu/

Also for those of you who don't know, the Hurd is getting a ton of
developer attention right now.  Work in progress includes SMP work, 64
bit kernel (with 32 bit address space), some re-using netBSD's driver's
work, etc.  Now's a great time get subscribed to the Hurd's mail
developmental email list:  bug-hurd:

https://lists.gnu.org/mailman/listinfo/bug-hurd